package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 
 * 处方诊断表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyPrescriptionDiagnosisVO", description = "处方诊断表")
public class WlyyPrescriptionDiagnosisVO extends UuidIdentityVOWithOperator {

    /**
     * 关联处方
     */
    @ApiModelProperty(value = "关联处方", example = "模块1")
    private String prescriptionId;

    @ApiModelProperty(value = "诊断编码", example = "模块1")
    private String code;
    /**
     * 诊断结果名称
     */
    @ApiModelProperty(value = "诊断结果名称", example = "模块1")
    private String name;

    /**
     * 1主诊断 2次诊断
     */
    @ApiModelProperty(value = "1主诊断 2次诊断", example = "模块1")
    private Integer type;

    @ApiModelProperty(value = "删除标识", example = "模块1")
    private Integer del;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;


    public String getPrescriptionId() {
        return prescriptionId;
    }
    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}